Last modified: 2011-08-01 13:57:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23537 - Migration of pt.wikimedia.org
Migration of pt.wikimedia.org
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: ops
Depends on:
Blocks: wikis-to-rename 30123
  Show dependency treegraph
 
Reported: 2010-05-15 19:46 UTC by Nuno Tavares
Modified: 2011-08-01 13:57 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nuno Tavares 2010-05-15 19:46:08 UTC
We at Wikimedia PT would like to migrate pt.wikimedia.org contents to an external server. Is it possible to provide a dump somewhere with current site contents?

After migration, is it possible to redirect pt.wikimedia.org to the new site for a while?
Comment 1 JeLuF 2010-06-02 21:05:36 UTC
Do you need a SQL or XML dump?

I fear that I can't provide you with a dump of the user database, for privacy reasons and due to the SUL configuration.

It would be possible to point pt.wikimedia.org to your server or to send a redirect to another URL, if you prefer that.
Comment 2 Nuno Tavares 2010-06-05 11:52:55 UTC
Jeluf, we'd like to have a SQL dump, if that's possible. If you need an external location to put it online just drop me a private note to send you credentials.

There's no problem at all with the user table, we'll manage to keep same usernames.

As soon as we reinstate the website on our site, we'd much appreciate you guys setup the redirect as soon as possible. Is there a faster way for getting the redirect done than this bugzilla?
Comment 3 p858snake 2010-06-05 13:32:35 UTC
(In reply to comment #2)
> Jeluf, we'd like to have a SQL dump, if that's possible. If you need an
> external location to put it online just drop me a private note to send you
> credentials.
> 
> There's no problem at all with the user table, we'll manage to keep same
> usernames.
The privacy issues that he is referring to issues such as the users IP addresses.
Comment 4 Nuno Tavares 2010-06-05 20:15:45 UTC
I'm not sure I understand what you are referring to. 

I already said we don't care about the user table. Last time I looked at mediawiki schema, the only user data which is retained on a SQL dump is username/IP repetition [which, since the the wiki is open, it's already public] so, and having already said that, I don't understand what you mean.
Comment 5 Domas Mituzas 2010-08-16 13:55:58 UTC
I'm somewhat not sure that redirecting *.wikimedia.org domains outside our cluster is a good idea (cookies and whatnot).
Comment 6 Waldir 2010-08-16 14:01:49 UTC
It's ok, we can survive without the redirect. :)

I doubt anyone was typing that domain directly anyway, since we always advertised the domain wikimedia.pt instead, which currently redirects there and is easier to remember and type.
Comment 7 Domas Mituzas 2010-08-16 14:05:51 UTC
well, I mean, we can do http redirect to wikimedia.pt, DNS record pointing outside cluster would be evil, though
Comment 8 Huib abigor Laurens 2010-08-16 23:07:20 UTC
its much faster to export all the content using [[special:export]] because when you miss all the user tables this will cause sql errors and the site will not function very good.

When the wiki isn't that big like yours I would just use special:Export or ask a xml dump from the content, there is no need to get yourself in lots of trouble because you miss tables.

I created a xml dump for all the pages and talkpages, but excluded the '''file''' and '''user''' namespace. 
http://www.wikiweet.nl/dump/
Comment 9 Nuno Tavares 2010-08-17 11:34:43 UTC
Hi Domas, thanks for pointing that out. I was actually requesting an HTTP redirect, indeed. Sorry not being more clear. "Location: " is enough.

In the meantime, I developed a script to fetch all images based on imagelinks, so no problem with images - which also means XML dump is good enough. I also don't know how to do a full export with Special:Export, but it seems you managed, so I'm downloading it right away. 

I'll let you know when we're done. 

Thanks for everything.
Comment 10 Waldir 2010-08-17 23:49:39 UTC
Just pointing out a detail that was mentioned on IRC: if the redirect could work dynamically (i.e. to have deep links such as diffs, etc redirected to the corresponding url in the new domain) that would be ideal. That is, something like what currently we get if we type an url without the /wiki/ part. 

This would prevent breaking links (from mailing list archives and elsewhere).
Comment 11 Mark A. Hershberger 2011-07-30 04:32:34 UTC
Its been a few months and no activity on this bug.  Still no redirect,
but wikimedia.pt looks like it is up and in use.  If there is nothing
else wrong right now, then all that is left is setting up a redirect.

I'm going to close this bug.  If the only thing left is the redirect
then that is Bug #30123.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links